baby_steps: calls your handler in baby_steps for set processing.(3)

NAME
baby_steps: calls your handler in baby_steps for set processing. -

  Functions
netsnmp_mib_handler * netsnmp_get_baby_steps_handler (u_long modes)
returns a baby_steps handler that can be injected into a given handler chain.
void netsnmp_init_baby_steps_helper (void)
initializes the baby_steps helper which then registers a baby_steps handler as a run-time injectable handler for configuration file use.

FUNCTION DOCUMENTATION

  netsnmp_mib_handler* netsnmp_get_baby_steps_handler (u_long modes)

returns a baby_steps handler that can be injected into a given handler chain.

Definition at line 49 of file baby_steps.c.

References netsnmp_mib_handler_s::myvoid, and netsnmp_create_handler().

Referenced by netsnmp_init_baby_steps_helper().

  void netsnmp_init_baby_steps_helper (void)

initializes the baby_steps helper which then registers a baby_steps handler as a run-time injectable handler for configuration file use.

Definition at line 199 of file baby_steps.c.

References netsnmp_get_baby_steps_handler(), and netsnmp_register_handler_by_name().